Index: apache_1.3.37/conf/mime.types
--- apache_1.3.37/conf/mime.types.orig	2004-11-24 20:10:19 +0100
+++ apache_1.3.37/conf/mime.types	2006-09-10 14:51:11 +0200
@@ -265,6 +265,22 @@
 application/vnd.novadigm.edm
 application/vnd.novadigm.edx
 application/vnd.novadigm.ext
+application/vnd.oasis.opendocument.text odt
+application/vnd.oasis.opendocument.spreadsheet ods
+application/vnd.oasis.opendocument.presentation odp
+application/vnd.oasis.opendocument.graphics odg
+application/vnd.oasis.opendocument.chart odc
+application/vnd.oasis.opendocument.formula odf
+application/vnd.oasis.opendocument.image odi
+application/vnd.oasis.opendocument.text-template ott
+application/vnd.oasis.opendocument.spreadsheet-template ots
+application/vnd.oasis.opendocument.presentation-template otp
+application/vnd.oasis.opendocument.graphics-template otg
+application/vnd.oasis.opendocument.chart-template otc
+application/vnd.oasis.opendocument.formula-template oft
+application/vnd.oasis.opendocument.image-template oti
+application/vnd.oasis.opendocument.text-master odm
+application/vnd.oasis.opendocument.text-web oth
 application/vnd.obn
 application/vnd.osa.netdeploy
 application/vnd.palm
Index: apache_1.3.37/configure
--- apache_1.3.37/configure.orig	2006-07-12 10:16:05 +0200
+++ apache_1.3.37/configure	2006-09-10 14:49:50 +0200
@@ -1175,10 +1175,10 @@
 ##   or we cannot support the case where the relative
 ##   path is just the emtpy one, i.e. ""]
 ##
-runtimedir_relative=`echo $runtimedir | sed -e "s:^$prefix/*::" -e 's:\(.\)$:\1/:'`
-logfiledir_relative=`echo $logfiledir | sed -e "s:^$prefix/*::" -e 's:\(.\)$:\1/:'`
-sysconfdir_relative=`echo $sysconfdir | sed -e "s:^$prefix/*::" -e 's:\(.\)$:\1/:'`
-libexecdir_relative=`echo $libexecdir | sed -e "s:^$prefix/*::" -e 's:\(.\)$:\1/:'`
+runtimedir_relative="$runtimedir/"
+logfiledir_relative="$logfiledir/"
+sysconfdir_relative="$sysconfdir/"
+libexecdir_relative="$libexecdir/"
 
 ##
 ##  check and debug
Index: apache_1.3.37/src/Configure
--- apache_1.3.37/src/Configure.orig	2006-07-12 10:16:05 +0200
+++ apache_1.3.37/src/Configure	2006-09-10 14:49:50 +0200
@@ -1158,14 +1158,20 @@
 	    SHLIB_SUFFIX_DEPTH=0
 	    ;;
 	*-solaris2*)
-	    if [ "x`$CC -v 2>&1 | grep gcc`" != "x" ]; then
-	        CFLAGS_SHLIB="-fPIC"
-	    else
-	        CFLAGS_SHLIB="-KPIC"
-	    fi
+	    CFLAGS_SHLIB="-KPIC"
 	    LDFLAGS_SHLIB="-G"
-	    LDFLAGS_MOD_SHLIB=$LDFLAGS_SHLIB
 	    LDFLAGS_SHLIB_EXPORT=""
+	    for word in `$CC -v 2>&1` ; do
+            case $word in 
+            --with-gnu-ld)
+                LDFLAGS_SHLIB="-shared"
+                ;;
+            *gcc*)
+                CFLAGS_SHLIB="-fPIC"
+                ;;
+            esac
+        done
+	    LDFLAGS_MOD_SHLIB=$LDFLAGS_SHLIB
 	    SHLIB_SUFFIX_DEPTH=1
 	    ;;
 	*-sunos4*)
@@ -1874,27 +1880,12 @@
 # set the default, based on whether expat-lite is bundled. if it is present,
 # then we can always include expat.
 if [ "x$RULE_EXPAT" = "xdefault" ]; then
-    if [ -d ./lib/expat-lite/ ]; then
-        RULE_EXPAT=yes
-    else
-        RULE_EXPAT=no
-    fi
+    RULE_EXPAT=no
 fi
 
 if [ "x$RULE_EXPAT" = "xyes" ]; then
-    if ./helpers/TestCompile lib expat; then
-        echo " + using system Expat"
-        LIBS="$LIBS -lexpat"
-    else
-        if [ ! -d ./lib/expat-lite/ ]; then
-            echo "ERROR: RULE_EXPAT set to \"yes\" but is not available."
-	    exit 1
-        fi
-        echo " + using builtin Expat"
-        EXPATLIB="lib/expat-lite/libexpat.a"
-        APLIBDIRS="expat-lite $APLIBDIRS"
-        CFLAGS="$CFLAGS -DUSE_EXPAT -I\$(SRCDIR)/lib/expat-lite"
-    fi
+    echo " + using system Expat"
+    LIBS="$LIBS -lexpat"
 fi
 
 ####################################################################
Index: apache_1.3.37/src/main/util_script.c
--- apache_1.3.37/src/main/util_script.c.orig	2006-07-12 10:16:05 +0200
+++ apache_1.3.37/src/main/util_script.c	2006-09-10 14:49:50 +0200
@@ -204,6 +204,7 @@
 	}
     }
 
+    if (!(env_path = ap_pstrdup(r->pool, ap_table_get(r->subprocess_env, "PATH"))))
     if (!(env_path = ap_pstrdup(r->pool, getenv("PATH")))) {
 	env_path = DEFAULT_PATH;
     }
